package	jp.co.sds_corp.volcano;

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.File;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

import javax.imageio.ImageIO;

import jp.co.sds_corp.util.config.IConfiguration;

public class FileSource implements ISource
{
	URL	url;	// 一覧のURL
	List<URL>	vecUrl = new ArrayList<URL>();

	public FileSource() {
	}

	public void init( IConfiguration config ) throws Exception {
		IConfiguration attr = config.getAttributes();
		url = new URL( attr.get( "url" ));
	}

	public List<URL> listURL() throws Exception {
		File path = new File( url.getPath() );
		vecUrl.clear();
		File[] files = path.listFiles();
		for ( int i = 0; i < files.length; i++ ) {
			vecUrl.add( files[i].toURI().toURL() );
		}
		return vecUrl;
	}

	public List<Image> listImage() throws Exception {
		List<Image> ret = new ArrayList<Image>();
		List<URL> list = listURL();
		for ( int i = 0; i < list.size(); i++ ) {
			URL url = (URL )list.get( i );
			BufferedImage img = ImageIO.read( url );
			if ( img != null ) {
				ret.add( img );
				System.out.println( url + ":" + img );
			}
		}
		return ret;
	}

	/**
	* 一覧のURLを設定します。
	* @param	var		設定するデータ
	*/
	public void setUrl( URL var ) {
		this.url = var;
	}
	/**
	* 一覧のURLを取得します。
	* @return	一覧のURL
	*/
	public URL getUrl() {
		return url;
	}

}

